Access Token & Refresh Token

Perform a POST request to /oauth/token with parameters client_id, client_secret, code, redirect_uri and grant_type=authorization_code. After following these steps, you will have an access token and a refresh token. The access token is valid for 2 hours, while the refresh token currently remains valid for 60 days.

With the refresh token, you can request a new access token / refresh token pair: Perform a POST request to /oauth/token with parameters: client_id, client_secret, refresh_token, redirect_uri and grant_type=refresh_token. Each refresh token can be used only once. As soon as the new access token is used to access the API for the first time, the previous refresh token will be revoked.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Query Params
string
required

required for both access token and refresh request

string
required

required for both access token and refresh request

string
enum
required

set 'authorization_code' for initial request or 'refresh_token' for refresh request

Allowed:
string

provide authorization_code for initial access token request

string
required

required for both access token and refresh request

string

provide refresh_token for refresh request

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!